bzlib-conduit-0.3.0.4: Streaming compression/decompression via conduits.

Safe Haskell | None
Language | Haskell2010

Data.Conduit.BZlib

Synopsis

- compress :: forall (m :: Type -> Type). MonadResource m => CompressParams -> ConduitT ByteString ByteString m ()
- decompress1 :: forall (m :: Type -> Type). MonadResource m => DecompressParams -> ConduitT ByteString ByteString m ()
- decompress :: forall (m :: Type -> Type). MonadResource m => DecompressParams -> ConduitT ByteString ByteString m ()
- bzip2 :: forall (m :: Type -> Type). MonadResource m => ConduitT ByteString ByteString m ()
- bunzip2 :: forall (m :: Type -> Type). MonadResource m => ConduitT ByteString ByteString m ()
- data CompressParams = CompressParams {
  - cpBlockSize :: Int
  - cpVerbosity :: Int
  - cpWorkFactor :: Int
  }
- data DecompressParams = DecompressParams {
  - dpVerbosity :: Int
  - dpSmall :: Bool
  }
- def :: Default a => a

# Documentation

compress Source #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> CompressParams | Compress parameter
-> ConduitT ByteString ByteString m () |

Compress a stream of ByteStrings.

decompress1 Source #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> DecompressParams | Decompress parameter
-> ConduitT ByteString ByteString m () |

Decompress a stream of ByteStrings. Note that this will only decompress the first compressed stream in the input and leave the rest for further processing. See `decompress`.

decompress Source #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> DecompressParams | Decompress parameter
-> ConduitT ByteString ByteString m () |

bzip2 :: forall (m :: Type -> Type). MonadResource m => ConduitT ByteString ByteString m () Source #

bzip2 compression with default parameters.

bunzip2 :: forall (m :: Type -> Type). MonadResource m => ConduitT ByteString ByteString m () Source #

bzip2 decompression with default parameters. This will decompress all the streams in the input

data CompressParams Source #

Compression parameters

Constructors

CompressParams |

Fields

- cpBlockSize :: Int

  Compress level [1..9]. default is 9.

- cpVerbosity :: Int

  Verbosity mode [0..4]. default is 0.

- cpWorkFactor :: Int

  Work factor [0..250]. default is 30.

#### Instances

Instances details

Default CompressParams Source # |
Instance details Defined in Data.Conduit.BZlib Methods def :: CompressParams #

data DecompressParams Source #

Decompression parameters

Constructors

DecompressParams |

Fields

- dpVerbosity :: Int

  Verbosity mode [0..4]. default is 0

- dpSmall :: Bool

  If True, use an algorithm uses less memory but slow. default is False

#### Instances

Instances details

Default DecompressParams Source # |
Instance details Defined in Data.Conduit.BZlib Methods def :: DecompressParams #

def :: Default a => a #